sparql: Execute SPARQL query (POST)

API: dbpedia.org:dbpedia-sparql-api
Endpoint: /sparql
Response format: application/sparql-results+json
Charset: utf-8
Auth: none
Method: POST
Last Status: 406
Latency: 297ms

Description

Execute SPARQL queries using HTTP POST method. Use this when your queries are too long to fit in a URL (typically over 2000 characters) or when you want to avoid having the query appear in server logs. The query is sent in the request body as application/x-www-form-urlencoded data. Supports all the same query types as the GET endpoint. Essential for complex queries with multiple UNION clauses, complex FILTERs, or large VALUES blocks.

From spec: Execute a SPARQL query using POST method. Useful for very long queries that exceed URL length limits.

Usage Tips

- Send query in POST body as: query=SELECT%20*%20WHERE%20%7B%3Fs%20a%20dbo%3APerson%7D - Use POST for queries longer than 2000 characters to avoid URL length limits - The Content-Type header should be application/x-www-form-urlencoded - Same response formats supported as GET /sparql

Examples (1)

Execute SPARQL SELECT query via POST doc_extracted
curl 'http://dbpedia.org/sparql' \
  -X POST
import requests

resp = requests.post("http://dbpedia.org/sparql")
data = resp.json()
import zingu_apis

api = zingu_apis.api("dbpedia")
result = api.get("sparql")

for item in result:
    print(item)
const resp = await fetch("http://dbpedia.org/sparql", {
  method: "POST",
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:37:28.036856 406 297ms
2026-04-16 04:09:36.710439 406 4595ms
2026-04-15 02:27:31.475961 406 283ms
2026-04-14 04:06:38.385225 406 5942ms
2026-04-12 15:51:58.368977 406 437ms
2026-04-10 03:01:04.008498 406 2055ms
2026-04-09 02:21:10.642163 406 268ms
2026-04-08 00:56:03.373043 406 7150ms
2026-04-07 00:42:34.259187 406 327ms
2026-04-06 04:00:52.977624 406 362ms
2026-04-05 14:32:55.695362 406 494ms
2026-04-05 00:27:17.851205 406 362ms
2026-04-04 02:06:33.648944 406 2828ms
2026-04-03 12:47:27.007544 406 287ms
2026-03-30 02:57:07.390395 406 286ms
2026-03-29 12:45:11.722032 406 273ms